import { App, Controller, Get, Inject } from '@midwayjs/decorator';
import { WxPayService } from '../util/wxpay';
import { Application } from '@midwayjs/koa';
import { MqSender } from '../service/mq/mqSender.service';
import { FrameworkErrorEnum, ServiceError } from 'free-midway-component';
@Controller('/')
export class HomeController {
  @Inject()
  wxpayService: WxPayService;

  @App()
  app: Application;

  @Inject()
  mqService: MqSender;

  @Get('/')
  async home(): Promise<string> {
    // await this.mqService.groupMsg({ order_id: '638fec34a4ec0bad05bc2c54' }, 5000);
    return 'Hello Midwayjs!';
  }
  @Get('/test')
  async test(){
    throw new ServiceError(FrameworkErrorEnum.NOT_FOUND_DATA)
  }
}
